import 'package:awale/utils/tools.dart';

class DefaultGameSettings {
  // available game parameters codes
  static const String parameterCodeGameMode = 'gameMode';
  static const List<String> availableParameters = [
    parameterCodeGameMode,
  ];

  // game mode: available values
  static const String gameModeHumanVsHuman = 'human-vs-human';
  static const String gameModeHumanVsRobot = 'human-vs-robot';
  static const String gameModeRobotVsHuman = 'robot-vs-human';
  static const String gameModeRobotVsRobot = 'robot-vs-robot';
  static const List<String> allowedGameModeValues = [
    gameModeHumanVsHuman,
    gameModeHumanVsRobot,
    gameModeRobotVsHuman,
    gameModeRobotVsRobot,
  ];
  // items count: default value
  static const String defaultGameModeValue = gameModeHumanVsHuman;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeGameMode:
        return DefaultGameSettings.allowedGameModeValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }

  // parameters displayed with assets (instead of painter)
  static List<String> displayedWithAssets = [
    //
  ];
}
