import 'package:awale/config/default_game_settings.dart';
import 'package:awale/utils/tools.dart';

class GameSettings {
  final String gameMode;

  GameSettings({
    required this.gameMode,
  });

  static String getGameModeValueFromUnsafe(String gameMode) {
    if (DefaultGameSettings.allowedGameModeValues.contains(gameMode)) {
      return gameMode;
    }

    return DefaultGameSettings.defaultGameModeValue;
  }

  factory GameSettings.createDefault() {
    return GameSettings(
      gameMode: DefaultGameSettings.defaultGameModeValue,
    );
  }

  void dump() {
    printlog('$GameSettings:');
    printlog('  ${DefaultGameSettings.parameterCodeGameMode}: $gameMode');
    printlog('');
  }

  @override
  String toString() {
    return '$GameSettings(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      DefaultGameSettings.parameterCodeGameMode: gameMode,
    };
  }
}
